package xyz.wbsite.frame.excel.style;

import org.apache.poi.hssf.util.HSSFColor;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Workbook;

public class SuccessCellStyle extends BaseCellStyle {

    public SuccessCellStyle(Workbook workbook) {
        super(workbook);
        style.setFillForegroundColor(HSSFColor.GREEN.index); //背景颜色红色
        style.setFillPattern(CellStyle.SOLID_FOREGROUND);   //设置单元格填充样式
    }

    public CellStyle getStyle() {
        return style;
    }

    public void setStyle(CellStyle style) {
        this.style = style;
    }
}
